Search Gradle plugins

Version 0.15.0

Created 20 May 2021.

- Fix validation of plugin jars to be published
- Support Gradle 7.1 without using deprecated APIs

Using the plugins DSL:

plugins {
  id "com.gradle.plugin-publish" version "0.15.0"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "com.gradle.publish:plugin-publish-plugin:0.15.0"
  }
}

apply plugin: "com.gradle.plugin-publish"

Using the plugins DSL:

plugins {
  id("com.gradle.plugin-publish") version "0.15.0"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("com.gradle.publish:plugin-publish-plugin:0.15.0")
  }
}

apply(plugin = "com.gradle.plugin-publish")

Learn how to apply plugins to subprojects